package org.wso2.carbon.device.mgt.ios.payload.beans;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value = "ApplicationOptions",
        description = "This class represents the information of ApplicationOptions.")
public class ApplicationOptions {

    @ApiModelProperty(name = "disableTouch", value = "Enable/Disable status of the disableTouch.", required = true)
    private Boolean disableTouch;
    @ApiModelProperty(name = "disableDeviceRotation", value = "Enable/Disable status of the disableDeviceRotation.", required = true)
    private Boolean disableDeviceRotation;
    @ApiModelProperty(name = "disableVolumeButtons", value = "Enable/Disable status of the disableVolumeButtons.", required = true)
    private Boolean disableVolumeButtons;
    @ApiModelProperty(name = "disableRingerSwitch", value = "Enable/Disable status of the disableRingerSwitch.", required = true)
    private Boolean disableRingerSwitch;
    @ApiModelProperty(name = "disableSleepWakeButton", value = "Enable/Disable status of the disableSleepWakeButton.", required = true)
    private Boolean disableSleepWakeButton;
    @ApiModelProperty(name = "disableAutoLock", value = "Enable/Disable status of the disableAutoLock.", required = true)
    private Boolean disableAutoLock;
    @ApiModelProperty(name = "enableVoiceOver", value = "Enable/Disable status of the enableVoiceOver.", required = true)
    private Boolean enableVoiceOver;
    @ApiModelProperty(name = "enableZoom", value = "Enable/Disable status of the enableZoom.", required = true)
    private Boolean enableZoom;
    @ApiModelProperty(name = "enableInvertColor", value = "Enable/Disable status of the enableInvertColors.", required = true)
    private Boolean enableInvertColors;
    @ApiModelProperty(name = "enableAssistiveTouch", value = "Enable/Disable status of the enableAssistiveTouch.", required = true)
    private Boolean enableAssistiveTouch;
    @ApiModelProperty(name = "enableSpeakSelection", value = "Enable/Disable status of the enableSpeakSelection.", required = true)
    private Boolean enableSpeakSelection;
    @ApiModelProperty(name = "enableMonoAudio", value = "Enable/Disable status of the enableMonoAudio.", required = true)
    private Boolean enableMonoAudio;

    public Boolean getDisableTouch() {
        return disableTouch;
    }

    public void setDisableTouch(Boolean disableTouch) {
        this.disableTouch = disableTouch;
    }

    public Boolean getDisableDeviceRotation() {
        return disableDeviceRotation;
    }

    public void setDisableDeviceRotation(Boolean disableDeviceRotation) {
        this.disableDeviceRotation = disableDeviceRotation;
    }

    public Boolean getDisableVolumeButtons() {
        return disableVolumeButtons;
    }

    public void setDisableVolumeButtons(Boolean disableVolumeButtons) {
        this.disableVolumeButtons = disableVolumeButtons;
    }

    public Boolean getDisableRingerSwitch() {
        return disableRingerSwitch;
    }

    public void setDisableRingerSwitch(Boolean disableRingerSwitch) {
        this.disableRingerSwitch = disableRingerSwitch;
    }

    public Boolean getDisableSleepWakeButton() {
        return disableSleepWakeButton;
    }

    public void setDisableSleepWakeButton(Boolean disableSleepWakeButton) {
        this.disableSleepWakeButton = disableSleepWakeButton;
    }

    public Boolean getDisableAutoLock() {
        return disableAutoLock;
    }

    public void setDisableAutoLock(Boolean disableAutoLock) {
        this.disableAutoLock = disableAutoLock;
    }

    public Boolean getEnableVoiceOver() {
        return enableVoiceOver;
    }

    public void setEnableVoiceOver(Boolean enableVoiceOver) {
        this.enableVoiceOver = enableVoiceOver;
    }

    public Boolean getEnableZoom() {
        return enableZoom;
    }

    public void setEnableZoom(Boolean enableZoom) {
        this.enableZoom = enableZoom;
    }

    public Boolean getEnableInvertColors() {
        return enableInvertColors;
    }

    public void setEnableInvertColors(Boolean enableInvertColors) {
        this.enableInvertColors = enableInvertColors;
    }

    public Boolean getEnableAssistiveTouch() {
        return enableAssistiveTouch;
    }

    public void setEnableAssistiveTouch(Boolean enableAssistiveTouch) {
        this.enableAssistiveTouch = enableAssistiveTouch;
    }

    public Boolean getEnableSpeakSelection() {
        return enableSpeakSelection;
    }

    public void setEnableSpeakSelection(Boolean enableSpeakSelection) {
        this.enableSpeakSelection = enableSpeakSelection;
    }

    public Boolean getEnableMonoAudio() {
        return enableMonoAudio;
    }

    public void setEnableMonoAudio(Boolean enableMonoAudio) {
        this.enableMonoAudio = enableMonoAudio;
    }
}
